Bug 124843 - (freebsdpart) Anaconda crashes when a freebsd partions exists on the hard
Anaconda crashes when a freebsd partions exists on the hard
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
: 91105 125453 159570 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-05-31 04:01 EDT by Amir Hedayaty
Modified: 2007-11-30 17:10 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-31 10:26:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Amir Hedayaty 2004-05-31 04:01:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
I faced the bug in the fedora core 1. I send the bug send message
generated by anaconda but i didn't understand the reason (acually it
installed after i removed (also formatted) my bds partion).

Installing fedora core 2 the same problem raised and i tried several
times and i am sure that the only problem was the bsd partion. 

I wonder what is the need for anaconda for checking other partions.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install freebsd
2.try to install fedra

Actual Results:  An error waiting for cancel or ignore apears in any
way the installation cancels

Expected Results:  installation to continue. even not to check it.

Additional info:
Comment 1 Jeremy Katz 2004-06-07 12:08:12 EDT
*** Bug 125453 has been marked as a duplicate of this bug. ***
Comment 2 Jeremy Katz 2004-06-25 15:53:10 EDT
This may be due to the kernel not handling BLKPG ioctls correctly when
there's a freebsd label present.
Comment 3 Jeremy Katz 2004-06-25 15:58:47 EDT
*** Bug 91105 has been marked as a duplicate of this bug. ***
Comment 4 Andrew Clausen 2004-06-25 22:58:22 EDT
What happens if you run parted on the disk?
Comment 5 Muhammad Junaid Shahid 2004-09-19 05:15:24 EDT
I am also experiencing the exact same problem with Fedora Core 2 and
FreeBSD 5.1. I get an error saying 

Could not inform the kernel about changes to /dev/hda1 [which is my
FreeBSD partition] - Device or resource busy

And then I get the choice of Ignore or Cancel and in both cases the
installer gives a stack-trace. I haven't been able to figure out a way
to capture that stack-trace. It might be useful.
Comment 6 Matthew Miller 2005-04-26 11:53:27 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 7 Chris Lumens 2005-06-07 12:03:07 EDT
*** Bug 159570 has been marked as a duplicate of this bug. ***
Comment 8 Matthew Miller 2005-07-12 17:35:42 EDT
From bug #159570 and the other dupes -- is it safe to assume that this bug
should be moved to version "devel"?
Comment 9 David Cantrell 2006-03-30 17:44:09 EST
Definitely an old bug, but it doesn't seem to be happening in rawhide now (and
it may not happen in FC5, but I didn't check that).

I installed FreeBSD on to an empty system.  I gave it 10GB and left the rest of
the drive unpartitioned.  After that I installed rawhide and told it to use the
available space on the drive.  It worked fine, but this might not be the problem
originally reported.

Can one of the reporters try FC5 and/or rawhide and see if this problem is still
Comment 10 Thomas E. Dickey 2006-03-30 17:51:27 EST
I just reinstalled one of my development boxes, marked (but
did not install therein) a FreeBSD-type partition.  Fedora
Core 5 installed without this problem.

So as far as I can tell, I'm not able to reproduce it.
Comment 11 David Cantrell 2006-03-31 10:26:55 EST
Yeah, I don't think this bug applies anymore.  I'm going to close it.


Note You need to log in before you can comment on or make changes to this bug.